aboutsummaryrefslogtreecommitdiffstats
path: root/Documentation/admin-guide/aoe/autoload.sh
diff options
context:
space:
mode:
authorMauro Carvalho Chehab <mchehab+samsung@kernel.org>2019-06-27 12:59:40 -0300
committerMauro Carvalho Chehab <mchehab+samsung@kernel.org>2019-07-15 11:03:02 -0300
commit83bbf6e103544d65f17f4b2ccea1c6a51c0b0769 (patch)
tree9f37eb8ea225fc60312ba26b43522c420634da53 /Documentation/admin-guide/aoe/autoload.sh
parentdocs: add some documentation dirs to the driver-api book (diff)
downloadlinux-dev-83bbf6e103544d65f17f4b2ccea1c6a51c0b0769.tar.xz
linux-dev-83bbf6e103544d65f17f4b2ccea1c6a51c0b0769.zip
docs: aoe: add it to the driver-api book
Those files belong to the admin guide, so add them. Signed-off-by: Mauro Carvalho Chehab <mchehab+samsung@kernel.org> Acked-by: Justin Sanders <justin@coraid.com>
Diffstat (limited to 'Documentation/admin-guide/aoe/autoload.sh')
-rw-r--r--Documentation/admin-guide/aoe/autoload.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/Documentation/admin-guide/aoe/autoload.sh b/Documentation/admin-guide/aoe/autoload.sh
new file mode 100644
index 000000000000..815dff4691c9
--- /dev/null
+++ b/Documentation/admin-guide/aoe/autoload.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+# set aoe to autoload by installing the
+# aliases in /etc/modprobe.d/
+
+f=/etc/modprobe.d/aoe.conf
+
+if test ! -r $f || test ! -w $f; then
+ echo "cannot configure $f for module autoloading" 1>&2
+ exit 1
+fi
+
+grep major-152 $f >/dev/null
+if [ $? = 1 ]; then
+ echo alias block-major-152 aoe >> $f
+ echo alias char-major-152 aoe >> $f
+fi
+